package yourdomain.modules.moduleA.views.components
{
	import flash.display.Sprite;
	import flash.events.Event;
	
	import yourdomain.commons.views.components.MessagesView;
	import yourdomain.modules.moduleA.configs.ModuleAContext;

	public class ModuleAView extends Sprite
	{
		private var messagesView:MessagesView;
		private var rlContext:ModuleAContext;

		public function ModuleAView()
		{
			addEventListener(Event.ADDED_TO_STAGE, onAddedToStage);
		}

		protected function onAddedToStage(event:Event):void
		{
			createRLContext();
			addChildren();
		}

		private function createRLContext():void
		{
			rlContext = new ModuleAContext(this);
		}

		private function addChildren():void
		{
			messagesView = new MessagesView();
			addChild(messagesView);
		}

		public function onMessageReceived(message:String):void
		{
			messagesView.onMessageReceived(message);
		}
	}
}
