package yourdomain.shell.configs
{
    import yourdomain.commons.controllers.events.ModularConnectorEvent;

    import robotlegs.bender.extensions.modularity.api.IModuleConnector;
    import robotlegs.bender.framework.api.IConfig;

    public class ModuleConnectorConfig implements IConfig
    {
        [Inject]
        public var moduleConnector:IModuleConnector;

        public function configure():void
        {
            //============================================================================
            // SHELL TO MODULES CHANNEL
            //============================================================================
            moduleConnector.onDefaultChannel()
                .relayEvent(ModularConnectorEvent.SHELL_TO_MODULES_MESSAGE);

            //============================================================================
            // SHELL LISTENS ON CHANNEL someChannel for MODULE_TO_SHELL_MESSAGE
            //============================================================================
            moduleConnector.onChannel('someChannel')
                .receiveEvent(ModularConnectorEvent.MODULE_TO_SHELL_MESSAGE);          
        }
    }
}
