package yourdomain.modules.moduleA.configs
{
	import yourdomain.commons.controllers.events.ModularConnectorEvent;

	import robotlegs.bender.extensions.modularity.api.IModuleConnector;
	import robotlegs.bender.framework.api.IConfig;

	public class ModuleConnectorConfig implements IConfig
	{
		[Inject]
		public var moduleConnector:IModuleConnector;

		public function configure():void
		{
			//============================================================================
			// MODULE A LISTENS onDefaultChannel for Shell's event
			//============================================================================
			moduleConnector.onDefaultChannel()
				.receiveEvent(ModularConnectorEvent.SHELL_TO_MODULES_MESSAGE);
			//============================================================================
			// MODULE A dispatches on 'someChannel' channel
			//============================================================================
			moduleConnector.onChannel('someChannel')
				.relayEvent(ModularConnectorEvent.MODULE_TO_SHELL_MESSAGE);
		}
	}
}
