package  yourdomain.shell.views.mediators
{
    import yourdomain.commons.controllers.events.ModularConnectorEvent;
    import yourdomain.shell.views.components.ShellMessagesView;

    import robotlegs.bender.bundles.mvcs.Mediator;

    public class ShellMessagesMediator extends Mediator
    {
        [Inject]
        public var view:ShellMessagesView;

        override public function initialize():void
        {
            addViewListener(ModularConnectorEvent.VIEW_TO_MEDIATOR_MESSAGE, onMessageSent, ModularConnectorEvent);
            addContextListener(ModularConnectorEvent.MODULE_TO_SHELL_MESSAGE, onMessageReceived, ModularConnectorEvent);            
        }

        private function onMessageSent(event:ModularConnectorEvent):void
        {
            dispatch(new ModularConnectorEvent(ModularConnectorEvent.SHELL_TO_MODULES_MESSAGE, event.messagesVO));
        }

        private function onMessageReceived(event:ModularConnectorEvent):void
        {
           view.onMessageReceived(event.messagesVO.message);
        }
    }
}
